URANIUMX-CLI(1)

NAME
uraniumx-cli - manual page for uraniumx-cli v1.0.3

DESCRIPTION
UraniumX RPC client version v1.0.3

  Usage:

uraniumx-cli [options] <command> [params]
    Send command to UraniumX

    uraniumx-cli [options] -named <command> [name=value] ... Send command to UraniumX (with named arguments) uraniumx-cli [options] help List commands uraniumx-cli [options] help <command> Get help for a command

OPTIONS

-?

    This help message

-conf=<file>

    Specify configuration file (default: uraniumx.conf)

-datadir=<dir>

    Specify data directory

Chain selection options:

-testnet

    Use the test chain

-regtest

    Enter regression test mode, which uses a special chain in which blocks can be solved instantly. This is intended for regression testing tools and app development.

-named

    Pass named instead of positional arguments (default: false)

-rpcconnect=<ip>

    Send commands to node running on <ip> (default: 127.0.0.1)

-rpcport=<port>

    Connect to JSON-RPC on <port> (default: 8234 or testnet: 18234)

-rpcwait

    Wait for RPC server to start

-rpcuser=<user>

    Username for JSON-RPC connections

-rpcpassword=<pw>

    Password for JSON-RPC connections

-rpcclienttimeout=<n>

    Timeout in seconds during HTTP requests, or 0 for no timeout. (default: 900)

-stdin

    Read extra arguments from standard input, one per line until EOF/Ctrl-D (recommended for sensitive information such as passphrases)

-rpcwallet=<walletname>

    Send RPC for non-default wallet on RPC server (argument is wallet filename in bitcoind directory, required if bitcoind/-Qt runs with multiple wallets)

COPYRIGHT
Copyright (C) 2009-2018 The Bitcoin Core developers Copyright (C) 2018 The UraniumX developers Please contribute if you find this software useful. Visit <https://uranium-x.com> for further information about the software. The source code is available from <https://github.com/uraniumx/uraniumx>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT> This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit <https://www.openssl.org> and cryptographic software written by Eric Young and UPnP software written by Thomas Bernard.